- NAME
- DESCRIPTION

# NAME

      RT::Action::Forward

# DESCRIPTION

Forward allows forwarding of a ticket or ticket transaction to the specified email, optionally with some content to use as the content of the forward transaction that is added to the ticket.

To use with `rt-crontool`, specify the email with `--action-arg`:

        --action RT::Action::Forward
        --action-arg "your_email@domain.com"

To forward a ticket exclude the `--transaction` arg and to forward a ticket transaction include it:

        --transaction [first|last]

It is not possible to forward a specific ticket transaction at this time, just the first or last transaction.

To specify the content of the forward transaction create a template and specify it with `--template`:

        --template "Your Template"

The template may include the following headers:

To

  Set To email addresses that will receive a copy of the forward email.

  If `--action-arg "your_email@domain.com"` is passed, then "your_email@domain.com" will replace the "To" header in the template.

Cc

  Set Cc email addresses that will receive a copy of the forward email.

Bcc

  Set Bcc email addresses that will receive a copy of the forward email.

Subject

  Set Subject header to control the subject of the forward email.

← Back to index